# -*- coding: utf-8 -*-
#from distutils.core import setup, Extension
#from distutils import ccompiler
from setuptools import *
import numpy
import os
import sys
numpy_include = numpy.get_include()

version = ("PYTHON2",None)
if sys.version_info.major==3:
    version = ("PYTHON3",None)

# Prérequis : pthread32 (http://www.sourceware.org/pthreads-win32)
# Installer la version précompilé
# Ajouter le chemin de pthread\Pre-built.2\include à la variable INCLUDE ou bien modifier le chemin ci-dessous
pthread_include = 'D:/Personnel/library/pthread/pthreads-w32-2-9-1-release/Pre-built.2/include'
# Ajouter le chemin de pthread\Pre-built.2\lib à la variable DIR ou bien modifier le chemin ci-dessous
pthread_lib = 'D:/Personnel/library/pthread/pthreads-w32-2-9-1-release/Pre-built.2/lib/x86'

portaudio_include = "D:/Personnel/library/portaudio/include"
portaudio_libs = "D:/Personnel/library/portaudio/build/msvc/Win32/Release"


module_pysysam = Extension(name="pycanum.pysysam",
    sources=['src/pysysam.c','src/sysamSP5Link.c','src/sysamPCILink.c','src/table_dds.c','src/ring_buffer.c','src/output_stream.c'],
    include_dirs=[numpy_include,pthread_include,portaudio_include],
    library_dirs=[pthread_lib,portaudio_libs],
    libraries=['pthreadVC2','portaudio_x86'],
    define_macros=[version,("AUDIO",None),('_TIMESPEC_DEFINED',None)])
# enlever ("AUDIO",None) pour compiler sans portaudio
# placer pthreadVC2.dll manuellement dans le build avant l'installation
# placer portaudio_x86.dll manuellement dans le build avant l'installation
setup(name="pycanum",
    version = "4.2.7",
    description= "Interface Python pour Sysam Eurosmart PCI et SP5",
    author = "Frederic Legrand",
    author_email = "fredlegr@club-internet.fr",
    url="https://upload.pypi.org/legacy/",
    license="CeCILL",
    platforms=["MS windows"],
    packages=['pycanum'],
    ext_modules=[module_pysysam])

